## waterfox 56.2.12

=== debian/changelog ===
waterfox (56.2.12-1mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 17 Jul 2019 22:56:47 -0700

waterfox (56.2.12-0) obs; urgency=medium
    * Patches for mfsa2019-22.
    * Updated Twemoji Mozilla to 0.4.0 (twemoji 11.4.0).

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 14 Jul 2019 21:19:00 +0200

waterfox (56.2.11.1-0) obs; urgency=medium
    * Fixed Bug 1555523
    * Fixed compiling with elf-hack and rust-simd, so that should improve performance a little
    * Fixed bugs related with HiDPI icons
    * Version is not changed on about dialog for now

 -- hawkeye116477 <hawkeye116477@gmail.com>  Mon, 08 Jul 2019 16:34:00 +0200

waterfox (56.2.10-0) obs; urgency=medium
    * Latest security fixes up to Firefox ESR 60.7
    * Added new Mozilla certificates to be able to install add-ons from AMO again
    * Waterfox now identifies as Waterfox once again!

        - This fixes issues with repeat CAPTCHAs, hooray!
        - Websites that require a vanilla Firefox user agent will get one, so far: web.whatsapp.com, amazon.*, netflix.com, chase.com. Please request if a website you visit doesn’t recognise the Waterfox user agent.
        - This should stop YouTube from doing A/B tests that break on Waterfox.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Sun, 19 May 2019 15:10:00 +0200

=== debian/control ===
Source: waterfox
Section: web
Priority: optional
Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
Build-Depends: apt-utils,
               autoconf2.13,
               autotools-dev,
               binutils-avr,
               cargo (>= 0.25),
               ccache,
               clang-6.0,
               dbus-x11,
               debhelper (>= 9),
               dpkg-dev (>= 1.16.1.1~),
               libasound2-dev,
               libcurl4-openssl-dev,
               libdbus-glib-1-dev,
               libevent-dev (>= 1.4.1),
               libfile-fcntllock-perl,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgconf2-dev,
               libgl1-mesa-dev,
               libglib2.0-dev (>= 2.16.0),
               libgtk-3-dev (>= 3.4),
               libgtk2.0-dev (>= 2.10),
               libiw-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libnotify-dev,
               libpango1.0-dev,
               libpulse-dev,
               libreadline-dev,
               libstartup-notification0-dev,
               libtinfo-dev,
               libx11-dev,
               libx11-xcb-dev,
               libxext-dev,
               libxrender-dev,
               libxt-dev,
               llvm-6.0-dev,
               locales,
               lsb-release,
               mesa-common-dev,
               pkg-config,
               python-minimal (>= 2.6.6-13~),
               python-ply,
               python2.7,
               rustc (>= 1.32),
               unzip,
               xauth,
               xfonts-base,
               xvfb,
               yasm (>= 1.1),
               zip,
               zlib1g-dev
Standards-Version: 3.9.7
Homepage: https://www.waterfox.net/

Package: waterfox
Architecture: any
Depends: libavcodec57 | libavcodec56 | libavcodec58,
         ${shlibs:Depends}, ${misc:Depends}
Conflicts: waterfox-kde
Replaces: waterfox-kde
Provides: www-browser, gnome-www-browser
Suggests: fonts-lyx, libasound2, pulseaudio, waterfox-kde
Description: Free, open and private browser
 Waterfox focuses on giving users choice while also helping make the world a
 better place. Waterfox is partners with Ecosia, a search engine that plants
 trees with its generated revenues. The browser itself is focused on power
 users, which lets you make the important decisions. There is no plugin
 whitelist, you can run whichever extensions you like and absolutely no data or
 telemetry is sent back to Mozilla or the Waterfox project.
 .
 Waterfox is powered by Mozilla Firefox source code.
 .
 Note: Language packs are available as separate packages!

Package: waterfox-locale-ach
Architecture: any
Depends: ${misc:Depends}
Description: Acholi language pack for Waterfox
 This package contains Acholi translations for Waterfox

Package: waterfox-locale-af
Architecture: any
Depends: ${misc:Depends}
Description: Afrikaans language pack for Waterfox
 This package contains Afrikaans translations for Waterfox

Package: waterfox-locale-an
Architecture: any
Depends: ${misc:Depends}
Description: Aragonese language pack for Waterfox
 This package contains Aragonese translations for Waterfox

Package: waterfox-locale-ar
Architecture: any
Depends: ${misc:Depends}
Description: Arabic language pack for Waterfox
 This package contains Arabic translations for Waterfox

Package: waterfox-locale-as
Architecture: any
Depends: ${misc:Depends}
Description: Assamese language pack for Waterfox
 This package contains Assamese translations for Waterfox

Package: waterfox-locale-ast
Architecture: any
Depends: ${misc:Depends}
Description: Asturian language pack for Waterfox
 This package contains Asturian translations for Waterfox

Package: waterfox-locale-az
Architecture: any
Depends: ${misc:Depends}
Description: Azerbaijani language pack for Waterfox
 This package contains Azerbaijani translations for Waterfox

Package: waterfox-locale-bg
Architecture: any
Depends: ${misc:Depends}
Description: Bulgarian language pack for Waterfox
 This package contains Bulgarian translations for Waterfox

Package: waterfox-locale-bn
Architecture: any
Depends: ${misc:Depends}
Description: Bengali language pack for Waterfox
 This package contains Bengali translations for Waterfox

Package: waterfox-locale-br
Architecture: any
Depends: ${misc:Depends}
Description: Breton language pack for Waterfox
 This package contains Breton translations for Waterfox

Package: waterfox-locale-bs
Architecture: any
Depends: ${misc:Depends}
Description: Bosnian language pack for Waterfox
 This package contains Bosnian translations for Waterfox

Package: waterfox-locale-ca
Architecture: any
Depends: ${misc:Depends}
Description: Catalan; Valencian language pack for Waterfox
 This package contains Catalan; Valencian translations for Waterfox

Package: waterfox-locale-cak
Architecture: any
Depends: ${misc:Depends}
Description: Kaqchikel language pack for Waterfox
 This package contains Kaqchikel translations for Waterfox

Package: waterfox-locale-cs
Architecture: any
Depends: ${misc:Depends}
Description: Czech language pack for Waterfox
 This package contains Czech translations for Waterfox

Package: waterfox-locale-cy
Architecture: any
Depends: ${misc:Depends}
Description: Welsh language pack for Waterfox
 This package contains Welsh translations for Waterfox

Package: waterfox-locale-da
Architecture: any
Depends: ${misc:Depends}
Description: Danish language pack for Waterfox
 This package contains Danish translations for Waterfox

Package: waterfox-locale-de
Architecture: any
Depends: ${misc:Depends}
Description: German language pack for Waterfox
 This package contains German translations for Waterfox

Package: waterfox-locale-dsb
Architecture: any
Depends: ${misc:Depends}
Description: Lower Sorbian language pack for Waterfox
 This package contains Lower Sorbian translations for Waterfox

Package: waterfox-locale-el
Architecture: any
Depends: ${misc:Depends}
Description: Greek language pack for Waterfox
 This package contains Greek translations for Waterfox

Package: waterfox-locale-en
Architecture: any
Depends: ${misc:Depends}
Description: English language pack for Waterfox
 This package contains English translations for Waterfox

Package: waterfox-locale-eo
Architecture: any
Depends: ${misc:Depends}
Description: Esperanto language pack for Waterfox
 This package contains Esperanto translations for Waterfox

Package: waterfox-locale-es
Architecture: any
Depends: ${misc:Depends}
Description: Spanish; Castilian language pack for Waterfox
 This package contains Spanish; Castilian translations for Waterfox

Package: waterfox-locale-et
Architecture: any
Depends: ${misc:Depends}
Description: Estonian language pack for Waterfox
 This package contains Estonian translations for Waterfox

Package: waterfox-locale-eu
Architecture: any
Depends: ${misc:Depends}
Description: Basque language pack for Waterfox
 This package contains Basque translations for Waterfox

Package: waterfox-locale-fa
Architecture: any
Depends: ${misc:Depends}
Description: Persian language pack for Waterfox
 This package contains Persian translations for Waterfox

Package: waterfox-locale-ff
Architecture: any
Depends: ${misc:Depends}
Description: Fulah language pack for Waterfox
 This package contains Fulah translations for Waterfox

Package: waterfox-locale-fi
Architecture: any
Depends: ${misc:Depends}
Description: Finnish language pack for Waterfox
 This package contains Finnish translations for Waterfox

Package: waterfox-locale-fr
Architecture: any
Depends: ${misc:Depends}
Description: French language pack for Waterfox
 This package contains French translations for Waterfox

Package: waterfox-locale-fy
Architecture: any
Depends: ${misc:Depends}
Description: Western Frisian language pack for Waterfox
 This package contains Western Frisian translations for Waterfox

Package: waterfox-locale-ga
Architecture: any
Depends: ${misc:Depends}
Description: Irish (Ireland) language pack for Waterfox
 This package contains Irish (Ireland) translations for Waterfox

Package: waterfox-locale-gd
Architecture: any
Depends: ${misc:Depends}
Description: Gaelic; Scottish Gaelic language pack for Waterfox
 This package contains Gaelic; Scottish Gaelic translations for Waterfox

Package: waterfox-locale-gl
Architecture: any
Depends: ${misc:Depends}
Description: Galician language pack for Waterfox
 This package contains Galician translations for Waterfox

Package: waterfox-locale-gn
Architecture: any
Depends: ${misc:Depends}
Description: Guarani language pack for Waterfox
 This package contains Guarani translations for Waterfox

Package: waterfox-locale-gu
Architecture: any
Depends: ${misc:Depends}
Description: Gujarati (India) language pack for Waterfox
 This package contains Gujarati (India) translations for Waterfox

Package: waterfox-locale-he
Architecture: any
Depends: ${misc:Depends}
Description: Hebrew language pack for Waterfox
 This package contains Hebrew translations for Waterfox

Package: waterfox-locale-hi
Architecture: any
Depends: ${misc:Depends}
Description: Hindi (India) language pack for Waterfox
 This package contains Hindi (India) translations for Waterfox

Package: waterfox-locale-hr
Architecture: any
Depends: ${misc:Depends}
Description: Croatian language pack for Waterfox
 This package contains Croatian translations for Waterfox

Package: waterfox-locale-hsb
Architecture: any
Depends: ${misc:Depends}
Description: Sorbian, Upper language pack for Waterfox
 This package contains Sorbian, Upper translations for Waterfox

Package: waterfox-locale-hu
Architecture: any
Depends: ${misc:Depends}
Description: Hungarian language pack for Waterfox
 This package contains Hungarian translations for Waterfox

Package: waterfox-locale-hy
Architecture: any
Depends: ${misc:Depends}
Description: Armenian (Armenia) language pack for Waterfox
 This package contains Armenian (Armenia) translations for Waterfox

Package: waterfox-locale-id
Architecture: any
Depends: ${misc:Depends}
Description: Indonesian language pack for Waterfox
 This package contains Indonesian translations for Waterfox

Package: waterfox-locale-is
Architecture: any
Depends: ${misc:Depends}
Description: Icelandic language pack for Waterfox
 This package contains Icelandic translations for Waterfox

Package: waterfox-locale-it
Architecture: any
Depends: ${misc:Depends}
Description: Italian language pack for Waterfox
 This package contains Italian translations for Waterfox

Package: waterfox-locale-ja
Architecture: any
Depends: ${misc:Depends}
Description: Japanese language pack for Waterfox
 This package contains Japanese translations for Waterfox

Package: waterfox-locale-kk
Architecture: any
Depends: ${misc:Depends}
Description: Kazakh language pack for Waterfox
 This package contains Kazakh translations for Waterfox

Package: waterfox-locale-km
Architecture: any
Depends: ${misc:Depends}
Description: Central Khmer language pack for Waterfox
 This package contains Central Khmer translations for Waterfox

Package: waterfox-locale-kn
Architecture: any
Depends: ${misc:Depends}
Description: Kannada language pack for Waterfox
 This package contains Kannada translations for Waterfox

Package: waterfox-locale-ko
Architecture: any
Depends: ${misc:Depends}
Description: Korean language pack for Waterfox
 This package contains Korean translations for Waterfox

Package: waterfox-locale-lij
Architecture: any
Depends: ${misc:Depends}
Description: Ligurian language pack for Waterfox
 This package contains Ligurian translations for Waterfox

Package: waterfox-locale-lt
Architecture: any
Depends: ${misc:Depends}
Description: Lithuanian language pack for Waterfox
 This package contains Lithuanian translations for Waterfox

Package: waterfox-locale-lv
Architecture: any
Depends: ${misc:Depends}
Description: Latvian language pack for Waterfox
 This package contains Latvian translations for Waterfox

Package: waterfox-locale-mai
Architecture: any
Depends: ${misc:Depends}

## waterfox 56.2.13

=== debian/changelog ===
waterfox (56.2.13-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 20 Aug 2019 17:47:07 -0700

waterfox (56.2.13-0) obs; urgency=medium

  * Updated Gecko Media Plugin components
    - Waterfox now supports the latest version of the Widevine CDM (v10). This
      should last for a while until Google sunsets this version.
    - A few memory leaks were fixed due to this upgrade.
  * Upgraded from Widevine CDM 1.4.9.1088 to Widevine CDM 4.10.1440.19.
  * Upgraded from OpenH264 1.6 to OpenH264 1.8.1.
    - This should result in less crashing and better performance
  * Support filtering streaming response data via webRequest API
  * Support access keys in extension menus
  * User agent overrides are now much easier to add - with the options to have
    an automatic updating list depending on how users feel about this.
  * If upgrading from previous versions of Waterfox, you will be asked to
    re-enable DRM. After re-enabling, if videos with DRM do not work please
    restart Waterfox and videos should start to work again.

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 20 Aug 2019 10:06:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: waterfox
 Section: web
 Priority: optional
-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: hawkeye116477 <hawkeye116477@gmail.com>
 Build-Depends: apt-utils,
                autoconf2.13,
                autotools-dev,
                binutils-avr,
-               cargo (>= 0.25),
+               cargo (>= 0.33),
                ccache,
                clang-6.0,
                dbus-x11,
@@ -40,7 +41,7 @@
                libxt-dev,
                llvm-6.0-dev,
                locales,
-               lsb-release,
+#               lsb-release,
                mesa-common-dev,
                pkg-config,
                python-minimal (>= 2.6.6-13~),
@@ -59,12 +60,11 @@
 
 Package: waterfox
 Architecture: any
-Depends: libavcodec57 | libavcodec56 | libavcodec58,
-         ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: waterfox-kde
 Replaces: waterfox-kde
-Provides: www-browser, gnome-www-browser
-Suggests: fonts-lyx, libasound2, pulseaudio, waterfox-kde
+Provides: gnome-www-browser, www-browser
+Suggests: fonts-lyx, pulseaudio, waterfox-kde
 Description: Free, open and private browser
  Waterfox focuses on giving users choice while also helping make the world a
  better place. Waterfox is partners with Ecosia, a search engine that plants

## waterfox 56.2.14

=== debian/changelog ===
waterfox (56.2.14-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 05 Sep 2019 13:51:08 -0700

waterfox (56.2.14-0) obs; urgency=medium

    * Security patches from ESR 60.9

waterfox (56.2.13-0.1~antix17) stable; urgency=medium

  * Rebuild for antiX 17 against a vanilla Stretch base (plus debs)
    instead of MX 18.
 
 -- Steven Pusser <stevep@mxlinux.org>  Thu, 29 Aug 2019 11:39:10 -0700

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export SHELL=/bin/bash

%:
	dh $@

override_dh_auto_clean:
	rm -f .mozconfig
	dh_auto_clean
	find . -name '*.pyc' -delete

override_dh_auto_configure:
	cp debian/mozconfig mozconfig

override_dh_auto_build:
	./mach build

override_dh_auto_install:
	chmod +x $$(pwd)/debian/waterfox-bin.sh
	DESTDIR=$$(pwd)/debian/waterfox ./mach install
	mv $$(pwd)/debian/waterfox/usr/lib/waterfox/browser/features/ $$(pwd)
	rm -rf $$(pwd)/debian/waterfox/usr/lib/waterfox/waterfox-bin
	rm -rf $$(pwd)/debian/waterfox/usr/lib/waterfox/dictionaries

override_dh_shlibdeps:
	dh_shlibdeps -l /usr/lib/waterfox/waterfox

override_dh_builddeb:
	dh_builddeb -- -Z xz

override_dh_strip_nondeterminism:
	dh_strip_nondeterminism -Xdebian/waterfox/usr/lib/waterfox/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}.xpi

## waterfox 2019.10

=== testing/firefox-ui/harness/requirements.txt ===
firefox-puppeteer >= 52.1.0, <53.0.0
marionette-harness >= 4.0.0
mozfile >= 1.2
mozinfo >= 0.8
mozinstall >= 1.12

=== testing/marionette/harness/requirements.txt ===
browsermob-proxy >= 0.6.0
manifestparser >= 1.1
marionette-driver >= 2.3.0
mozcrash >= 0.5
mozdevice >= 0.44
mozinfo >= 0.8
mozlog >= 3.0
moznetwork >= 0.21
mozprocess >= 0.9
mozprofile >= 0.7
mozrunner >= 6.13
moztest >= 0.8
mozversion >= 1.1
wptserve >= 1.3.0

=== testing/web-platform/tests/css/requirements.txt ===
six==1.10.0
Template-Python==0.1.post1
html5lib==0.9999999
lxml==3.7.3
mercurial==4.1

=== testing/marionette/harness/marionette_harness/runner/mixins/browsermob-proxy-py/docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BrowserMobProxy.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BrowserMobProxy.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BrowserMobProxy"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BrowserMobProxy"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
waterfox (2019.10-0.1~mx19+2) mx; urgency=medium

  * Add fix-adblockers-in-Linux.patch

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 19 Oct 2019 15:45:05 -0700

waterfox (2019.10-0.1~mx19+1) mx; urgency=medium

  * Rebuild for MX 19.
  * debian/control and mozconfig: just use the llvm-6.0 toolchain

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 16 Oct 2019 19:50:42 -0700

waterfox (2019.10-0) obs; urgency=medium
    * Various website rending issues fixed. (Thanks to hawkeye116477)
    * Various media libraries updated, including added support for AV1. (Thanks to hawkeye116477)
    * Various config updates. (Thanks to Peacock365)

 -- hawkeye116477 <hawkeye116477@gmail.com>  Tue, 15 Sep 2019 23:39:00 +0200

=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
                autoconf2.13,
                autotools-dev,
                binutils-avr,
+               build-essential,
                cargo (>= 0.33),
                ccache,
                clang-6.0,
@@ -41,7 +42,7 @@
                libxt-dev,
                llvm-6.0-dev,
                locales,
-#               lsb-release,
+#              lsb-release,
                mesa-common-dev,
                pkg-config,
                python-minimal (>= 2.6.6-13~),
@@ -67,7 +68,7 @@
 Suggests: fonts-lyx, pulseaudio, waterfox-kde
 Description: Free, open and private browser
  Waterfox focuses on giving users choice while also helping make the world a
- better place. Waterfox is partners with Ecosia, a search engine that plants
+ better place. Watefox is partners with Ecosia, a search engine that plants
  trees with its generated revenues. The browser itself is focused on power
  users, which lets you make the important decisions. There is no plugin
  whitelist, you can run whichever extensions you like and absolutely no data or

=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,8 @@
 override_dh_shlibdeps:
 	dh_shlibdeps -l /usr/lib/waterfox/waterfox
 
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-
 override_dh_strip_nondeterminism:
 	dh_strip_nondeterminism -Xdebian/waterfox/usr/lib/waterfox/browser/extensions/{972ce4c6-7e08-4474-a285-3208198ce6fd}.xpi
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
